Skip to main content
`Ctrl`+`K`

# PetscGaussLobattoLegendreElementLaplacianCreate

computes the Laplacian for a single 1d GLL element

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementLaplacianCreate(PetscInt n, PetscReal nodes[], PetscReal weights[], PetscReal ***AA)

Not Collective

## Input Parameters

- n - the number of GLL nodes

- nodes - the GLL nodes, of length `n`

- weights - the GLL weights, of length `n`

## Output Parameter

- AA - the stiffness element, of size `n` by `n`

## Notes

Destroy this with `PetscGaussLobattoLegendreElementLaplacianDestroy()`

You can access entries in this array with AA[i][j] but in memory it is stored in contiguous memory, row-oriented (the array is symmetric)

## See Also

`PetscDTGaussLobattoLegendreQuadrature()`, `PetscGaussLobattoLegendreElementLaplacianDestroy()`

## Level

beginner

## Location

src/dm/dt/interface/dt.c

## Examples

src/ts/tutorials/ex50.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ksp/ksp/tutorials/ex68.c
src/ksp/ksp/tutorials/ex69.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages